--- a/src/core/cgroup.h_orig	2018-09-28 11:16:18.000000000 +0500
+++ b/src/core/cgroup.h	2018-10-11 15:02:34.973886085 +0500
@@ -140,6 +140,14 @@
         _CGROUP_IP_ACCOUNTING_METRIC_INVALID = -1,
 } CGroupIPAccountingMetric;

+/* Used when querying IO accounting data */
+typedef enum CGroupIOAccountingMetric {
+        CGROUP_IO_INGRESS_BYTES,
+        CGROUP_IO_EGRESS_BYTES,
+        _CGROUP_IO_ACCOUNTING_METRIC_MAX,
+        _CGROUP_IO_ACCOUNTING_METRIC_INVALID = -1,
+} CGroupIOAccountingMetric;
+
 #include "unit.h"

 void cgroup_context_init(CGroupContext *c);
@@ -198,6 +206,7 @@
 int unit_get_tasks_current(Unit *u, uint64_t *ret);
 int unit_get_cpu_usage(Unit *u, nsec_t *ret);
 int unit_get_ip_accounting(Unit *u, CGroupIPAccountingMetric metric, uint64_t *ret);
+int unit_get_io_accounting(Unit *u, CGroupIOAccountingMetric metric, uint64_t *ret);

 int unit_reset_cpu_accounting(Unit *u);
 int unit_reset_ip_accounting(Unit *u);
